Sets the filename of a particular image

- « Imagick::setImageExtent

- Imagick::setImageFormat »

- PHP Manual
- Imagick
- Sets the filename of a particular image

# Imagick::setImageFilename

(PECL imagick 2, PECL imagick 3)

Imagick::setImageFilename — Sets the filename of a particular image

### Description

public Imagick::setImageFilename(string `$filename`): bool

Sets the filename of a particular image in a sequence.

### Parameters

`filename`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.